<?php

return array
(
	# 表名
	'name' => 'cate',
	# 显示给用户看的名称
	'lang' => '栏目设置',
	# 后台菜单排序
	'order' => 9,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '栏目名称',
			'default' 	=> '',
			'desc' 		=> '请输入名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'ename'      => array
        (
            'type'      => 'varchar-180',
            'name'      => '英文栏目名称',
            'default'   => '',
            'desc'      => '英文栏目名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# 默认值
	'default' => array
	(
		'col' => 'name,ename,reorder,cdate',
		'value' => array
		(
			'"时装","FASHION",10,' . time(),
			'"美容","BEAUTY",9,' . time(),
			'"娱乐","RUNWAY",8,' . time(),
			'"视频","STAR",7,' . time(),
			'"秀场","VIDEO",6,' . time(),
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,

		# 自定义快捷新增和编辑
		'button' => array
		(
			'新增' => array('fast'),
		),
		# 快捷更新
		'list_button' => array
		(
			'edit' => array('编辑'),
		),
	),

	'request' => array
	(
		'state' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'col' => '*',
		),
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
				# 小程序去掉视频栏目
				'id_no' => array('yes-id', '!='),
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'col' => '*',
		),
	),
);
